Bug 71750 - charmap woes
Summary: charmap woes
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: man-pages   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-18 00:15 UTC by ellson
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-19 07:53:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ellson 2002-08-18 00:15:19 UTC
Description of Problem:
- /etc/sysconfig/i18n contains CHARSET="8859-15" which doesn't exactly
match any file in /usr/share/i18n/charmaps/
- Why "CHARSET" and not "CHARMAP" ?
- No description of "locale charmap" in locale(1) manpage.
- Why not return charmap name in main result from "locale"?  Also in setlocale()
return value?
- No simple C function (that I could find) to tell a program what the 
user's charmap is currently set to.

Version-Release number of selected component (if applicable):
glibc-common-2.2.90-24
anaconda-7.3.94-1    (or whatever creates /etc/sysconfig/i18n)

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:
Looking for C function that returns user's current charmap selection in a form
that I can feed directly to iconv_open().

Additional Information:

Comment 1 ellson 2002-08-18 03:10:57 UTC
Miloslav Trmac was kind enough to point me to:  nl_langinfo(CODESET)

Sure, "charmap", "charset", "codeset"  what does it matter, hic!

Do you think that perhaps the setlocale(3) and iconv(3) manpages could
at least include cross-references to this?

Comment 2 Jakub Jelinek 2002-08-19 07:53:04 UTC
It certainly shouldn't be in locale(1) man page, it has nothing to do with
locale program.
It is mentioned quite prominently in info libc in Locales section, but I agree
it could be cross-referenced in setlocale(3) man page.

Comment 3 Trond Eivind Glomsrxd 2002-08-27 16:41:16 UTC
Fixed in 1.53-1


Note You need to log in before you can comment on or make changes to this bug.